package com.dayou.service;
import com.dayou.dto.TaskRecordDTO;
import com.dayou.entity.PersonalCalculate;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.CompareExampleVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 个贷可比实例算价表 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
public interface IPersonalCalculateService extends IService<PersonalCalculate> {

        Page<PersonalCalculate> selectPage(Page page,PersonalCalculate personalCalculate);

        PersonalCalculate detail(Long id);

        Boolean update(PersonalCalculate personalCalculate);

        Boolean delete(Long id);

    Boolean calculate(TaskRecordDTO<CompareExampleVO> taskRecordDTO);

    CompareExampleVO calculateResult(Long targetId);
}
